function fResponder(){
	var id=gv("TxtId");
	var tie=gv("TipEva");
	var cal=gv("Cal");
	var pre=gv("Pre");
	var ren=gv("Ren");
	var imp=gv("Imp");
	var tot=gv("Tot");
	var fec=gv("Fec");
	var sec=gv("Sec");
	var obs=gv("Obs");
	var ref=gv("Ref");
	var far=gv("Far");
	var usu=gv("USU_ID");
	//
	var deu_ven=gv("DeuVen");
	var deu_cas=gv("DeuCas");
	var deu=gv("Deu");
	var score=gv("Sco");
	//
	var cuo_tip=gv("CuoTip");
	var cuo_ini=gv("CuoIni");
	var cuo_men=gv("CuoMen");
	//
	var nom=gv("Nom");
	var ape=gv("Ape");
	var pla=gv("Pac"); //plan
	if(pla.length ==0)pla=gv("Pln");
	var car=gv("Cfi"); //cargo fijo
	var cic=gv("Cfa"); //ciclo facturacion
	var ope=gv("Ope"); //operador cedente
	var tipc=gv("TipCed"); //tipo cedente
	var tips=gv("Tip"); //tipo solicitado
	//--
	if(jVac(cal,"Determine la evaluacion","Cal"))return;
	if(jL(pre)>0 || jL(ren)>0 || jL(imp)>0){
		if(jVac(pre,"Ingrese el precio","Pre"))return;
		if(jVac(ren,"Ingrese el numero de rentas","Ren"))return;
		if(jVac(imp,"Ingrese el importe de renta","Imp"))return;
	}
	if(jL(fec)>0){
		if(!EsFecha(fec)){
			return AF("Fecha no valida","Fec");
		}
	}
	//
	if(jL(cuo_tip)>0){
		if(jVac(cuo_ini,"Ingrese la cuota inicial","CuoIni"))return;
		if(jVac(cuo_men,"Ingrese la cuota mensual","CuoMen"))return;
	}
	if(jL(cuo_ini)>0 || jL(cuo_men)>0){
		if(jVac(cuo_tip,"Seleccion el tipo de cuota","CuoTip"))return;
	}
	//
	if(jVac(score,"Seleccione un score","Sco"))return;
	if(tie=="RENOVACION"){
		if(jL(far)==0){
			return AF("Ingrese la fecha de activacion o ultima renovacion","Far");
		}
		if(!EsFecha(far)){
			return AF("Fecha no valida","Far");
		}
	}
	//
	if(confirm("Esta seguro que desea responder la evaluacion?")){
		//var r=AX("01",id,cal,pre,ren,imp,fec,obs,sec,ref,far,usu);
		var r=AX("01",id,cal,pre,ren,imp,fec,obs,sec,ref,far,
					  usu,nom,ape,car,pla,cic,ope,tipc,tips,
					  deu_ven,deu_cas,deu,score,
					  cuo_tip,cuo_ini,cuo_men);
		if(r=="OK"){
			//alert("La evaluacion ha sido procesada");
			window.opener.document.getElementById("CmdB").click();
			window.close();
		}
	}
}
//
function IMP_F(){
	var n=gv("Imp");
	if(jL(n)>0){
		n=formato_numero(n,2,".","");
		sv("Imp",n);
	}
}
//
function PRE_F(){
	var n=gv("Pre");
	if(jL(n)>0){
		n=formato_numero(n,2,".","");
		sv("Pre",n);
	}
}
//
function DV_F(){
	var n=gv("DeuVen");
	if(jL(n)>0){
		n=formato_numero(n,2,".","");
		sv("DeuVen",n);
	}
}
function DC_F(){
	var n=gv("DeuCas");
	if(jL(n)>0){
		n=formato_numero(n,2,".","");
		sv("DeuCas",n);
	}
}
//
function DEU_CAL(){
	var v=gv("DeuVen");
	var c=gv("DeuCas");
	if(jL(v)==0 && jL(c)==0){
		sv("Deu","");
	}else{
		sv("Deu",formato_numero(jVal(v)+jVal(c),2,".",""));
	}
}
//
function fResponder_basico(){
	var id=gv("TxtId");
	var tie=gv("TipEva");
	var cal=gv("Cal");
	var pre=gv("Pre");
	var ren=gv("Ren");
	var imp=gv("Imp");
	var tot=gv("Tot");
	var fec=gv("Fec");
	var sec=gv("Sec");
	var obs=gv("Obs");
	var ref=gv("Ref");
	var far=gv("Far");
	var usu=gv("USU_ID");
	//
	var deu_ven=gv("DeuVen");
	var deu_cas=gv("DeuCas");
	var deu=gv("Deu");
	var score=gv("Sco");
	//
	var cuo_tip=gv("CuoTip");
	var cuo_ini=gv("CuoIni");
	var cuo_men=gv("CuoMen");
	//
	if(jVac(cal,"Determine la evaluacion","Cal"))return;
	if(jL(pre)>0 || jL(ren)>0 || jL(imp)>0){
		if(jVac(pre,"Ingrese el precio","Pre"))return;
		if(jVac(ren,"Ingrese el numero de rentas","Ren"))return;
		if(jVac(ren,"Ingrese el importe de renta","Imp"))return;
	}
	if(jL(fec)>0){
		if(!EsFecha(fec)){
			return AF("Fecha no valida","Fec");
		}
	}
	//
	if(jL(cuo_tip)>0){
		if(jVac(cuo_ini,"Ingrese la cuota inicial","CuoIni"))return;
		if(jVac(cuo_men,"Ingrese la cuota mensual","CuoMen"))return;
	}
	if(jL(cuo_ini)>0 || jL(cuo_men)>0){
		if(jVac(cuo_tip,"Seleccion el tipo de cuota","CuoTip"))return;
	}
	//
	if(jVac(score,"Seleccione un score","Sco"))return;
	if(tie=="RENOVACION"){
		if(jL(far)==0){
			return AF("Ingrese la fecha de activacion o ultima renovacion","Far");
		}
		if(!EsFecha(far)){
			return AF("Fecha no valida","Far");
		}
	}
	//
	if(confirm("Esta seguro que desea responder la evaluacion?")){
		var r=AX("01_BASICO",id,cal,pre,ren,imp,fec,obs,
							 sec,ref,far,usu,deu_ven,
							 deu_cas,deu,score,
							 cuo_tip,cuo_ini,cuo_men);
		if(r=="OK"){
			//alert("La evaluacion ha sido procesada");
			window.opener.document.getElementById("CmdB").click();
			window.close();
		}
	}
}
//
function fCerrar(){
	var usu=gv("USU_ID");
	var r=AX("XX",usu);
	window.close();
}
//
function fCalcular(){
	var pre=jVal(gv("Pre"));
	var ren=jVal(gv("Ren"));
	var imp=jVal(gv("Imp"));
	var Tot=formato_numero(jR(pre+(ren * imp),2),2,".","");
	sv("Tot",Tot);
	
}
